# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/nvmem/allwinner,sun4i-a10-sid.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A10 Security ID Device Tree Bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

allOf:
  - $ref: "nvmem.yaml#"

properties:
  compatible:
    oneOf:
      - const: allwinner,sun4i-a10-sid
      - const: allwinner,sun7i-a20-sid
      - const: allwinner,sun8i-a83t-sid
      - const: allwinner,sun8i-h3-sid
      - const: allwinner,sun50i-a64-sid
      - items:
          - const: allwinner,sun50i-a100-sid
          - const: allwinner,sun50i-a64-sid
      - const: allwinner,sun50i-h5-sid
      - const: allwinner,sun50i-h6-sid

  reg:
    maxItems: 1

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    efuse@1c23800 {
        compatible = "allwinner,sun4i-a10-sid";
        reg = <0x01c23800 0x10>;
    };

  - |
    efuse@1c23800 {
        compatible = "allwinner,sun7i-a20-sid";
        reg = <0x01c23800 0x200>;
    };

...
